Subject: RE: [manet] one way hash in SAODV

From: zhen <[email-masked]>
Date: Tue, 7 Jan 2003 16:15:49 -0400

DoS? Yeah, since it disturbs the network, it could be called that. But it is 
not so big as in the scale of network. Anyway, it is a kind of nasty thing 
some nodes can do.

Also, in the paper you mentioned in the reply, compromised nodes are not 
considered when designing SAODV. It seems hard to draw a line between the 
attacks from external nodes and internal nodes.

Anyway,if authentication(digital signature)is used, most attacks can only be 
performed by internal nodes. What is the sense to protect routing information 
then? Only because our enemies are internal nodes now. We have to prevent them 
(external or internal nodes)from exploiting routing procedure.

You are right. Basic infrastructures(physical and link layer) are weak. It 
seems no sense to do research any more on routing protection. I am really 
puzzled about this. -- or anyway, we should do what we can do? Isnot that a 
good idea to categorize MANET applications finely to make our research more 
destinative? Also:if the design for now is enough for relatively friendly 
environment?  So what we do is only gonna to focus on military goals?

I am just starting my work, also in research. i would like to hear what others 
think about the research room in routing security of MANET.

best wish

Zhen
>===== Original Message From 	Manel Guerrero Zapata 
<[email-masked]> =====
>Yeah, you are right.
>
>I recomend to look to the papers about SAODV in:
>
>http://ant.eupvg.upc.es/~tarom/saodv.html
>
>specially the updated version of the paper I presented in WiSe:
>
>http://ant.eupvg.upc.es/~tarom/guerrero_wise_2002.ps.gz
>
>In the section #3 (Requirements) of this paper you can see that
>prevention against DoS is not one of the requirements of SAODV.
>(For more detailed analysis of the limitations of the hash approach
>look to the section #5.3.5 (Analysis).)
>So if you want some kind of protection against DoS you should look
>somewhere else.
>
>BUT, in my opinion it makes no sense to try protect the routing layer
>because if I want to do a DoS, I'll do it at physical or link layer
>(where it is much more easy and routing protocol independent).
>So let's do not waste resources to try to partialy protect something
>that the bad boys are gonna attack from another layer.
>
>There are some manet protocols that claim that they protect against
>DoS (partialy or totaly). IMHO, they are just protecting _some_ of the
>windows of the third flour, letting any enemy get in through
>the main door that is in the basement. (sorry for the lousy metafora) ;)
>
>
>Regards,
>
>	Manel Guerrero
>
>
>ext zhen wrote:
>> surely it prevents hop counts from being decremented, still it can be
>> incremented arbitrarily. Say some node is on the best route, it increments 
the
>> hop-count many many times-proper as it thinks, of course, won't that cause 
the
>> optimal route is rejected so as to cause some waste of resources.
>>
>> Is this right? any idea with the extent of wasting?
>>
>> best
>>
>> Zhen
>>
>> _______________________________________________
>> manet mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Pete Sholander" <[email-masked]>
Date: Wed, 08 Jan 2003 16:30:59 -0500

But is SAODV suitable for large-scale paintball games at least ;-)  

More seriously (and without going down a "rathole") is there any group consensus on the characteristics of a few commercial sector applications (neighborhood area ad hoc networks, factory area networks, conference room area networks, ...) for this WGs technology?   

--Pete Sholander

>>> Manel Guerrero Zapata <[email-masked]> 01/08/03 03:49AM >>>
SAODV was never design for military scenarios, and it should never
be used in those scenarios. That's why it does not take into
account problems like compromissed nodes and DoS.

So the people whose target are military aplications
(which actualy seem to be a huge portion of this mailing list ;) )
should be better looking for something else that SAODV.

In the same way, some manet protocols designed for military
aplications will not be feasible (or adecuate) for most of civil purposes.
(I'm not revealing any secret here).

BR/Manel

ext Ranga Ramanujan wrote:
> Manel Guerrero wrote:
> I would not be as dismissive of proposed approaches for network layer
> DoS defenses. They are meant to complement lower layer DoS defenses
> (e.g., AJ techniques in military systems). Some of the network layer techniques
> that I am aware of are designed to protect the network against DoS attacks
> launched from compromised or subverted nodes in the network. In such 
> environments, network layer protection may be the most effective one.
> 
> Ranga   
>